{
  "schema_version": "1.4.0",
  "id": "GHSA-x9vv-cmfc-4qwh",
  "modified": "2022-05-03T03:14:36Z",
  "published": "2022-05-03T03:14:36Z",
  "aliases": [
    "CVE-2005-3962"
  ],
  "details": "Integer overflow in the format string functionality (Perl_sv_vcatpvfn) in Perl 5.9.2 and 5.8.6 Perl allows attackers to overwrite arbitrary memory and possibly execute arbitrary code via format string specifiers with large values, which causes an integer wrap and leads to a buffer overflow, as demonstrated using format string vulnerabilities in Perl applications.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2005-3962"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10598"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A1074"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/222-1"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-legacy-announce/2006-February/msg00008.html"
    },
    {
      "type": "WEB",
      "url": "http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=001056"
    },
    {
      "type": "WEB",
      "url": "http://docs.info.apple.com/article.html?artnum=304829"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/security-announce/2006/Nov/msg00001.html"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=full-disclosure&m=113342788118630&w=2"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/17762"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/17802"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/17844"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/17941"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/17952"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/17993"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/18075"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/18183"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/18187"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/18295"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/18413"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/18517"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/19041"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/20894"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/23155"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31208"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-26-102192-1"
    },
    {
      "type": "WEB",
      "url": "http://support.avaya.com/elmodocs2/security/ASA-2006-081.htm"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2006/dsa-943"
    },
    {
      "type": "WEB",
      "url": "http://www.dyadsecurity.com/perl-0002.html"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-200512-01.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.ipcop.org/index.php?name=News&file=article&sid=41"
    },
    {
      "type": "WEB",
      "url": "http://www.kb.cert.org/vuls/id/948385"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2005:225"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2005_29_sr.html"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2005_71_perl.html"
    },
    {
      "type": "WEB",
      "url": "http://www.openbsd.org/errata37.html#perl"
    },
    {
      "type": "WEB",
      "url": "http://www.openpkg.org/security/OpenPKG-SA-2005.025-perl.html"
    },
    {
      "type": "WEB",
      "url": "http://www.osvdb.org/21345"
    },
    {
      "type": "WEB",
      "url": "http://www.osvdb.org/22255"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2005-880.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2005-881.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/418333/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/438726/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/15629"
    },
    {
      "type": "WEB",
      "url": "http://www.trustix.org/errata/2005/0070"
    },
    {
      "type": "WEB",
      "url": "http://www.us-cert.gov/cas/techalerts/TA06-333A.html"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2005/2688"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2006/0771"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2006/2613"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2006/4750"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2005-12-01T17:03:00Z"
  }
}